# class Database

#### package js.html.idb

#### extends EventTarget

Available on HTML5

Inherits from: EventTarget

Documentation IDBDatabase by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/IDBDatabase

### Variables

###

`read onlyname:String`

A `DOMString` that contains the name of the connected database.

###

`read onlyobjectStoreNames:DOMStringList`

A `DOMStringList` that contains a list of the names of the object stores currently in the connected database.

###

`onabort:Function`

Fires when access of the database is aborted.

###

`onerror:Function`

Fires when access to the database fails.

###

`onversionchange:Function`

Fires when a database structure change (`IDBOpenDBRequest.onupgradeneeded` event or`` `IDBFactory.deleteDatabase()` was requested elsewhere (most probably in another window/tab on the same computer). This is different from the version change transaction (see `IDBVersionChangeEvent`), but it is related.

###

`read onlyversion:Int`

A 64-bit integer that contains the version of the connected database. When a database is first created, this attribute is an empty string.

### Methods

###

`close ():Void`

Returns immediately and closes the connection to a database in a separate thread.

###

`createMutableFile (name:String, ?type:String):Request`

Throws:

`null` | DOMError

###

`createObjectStore (name:String, ?optionalParameters:ObjectStoreParameters):ObjectStore`

Throws:

`null` | DOMError

###

`deleteObjectStore (name:String):Void`

Throws:

`null` | DOMError

###

`transaction (storeNames:EitherType<String, Array<String>>, mode:TransactionMode = "readonly"):Transaction`

Throws:

`null` | DOMError

### Inherited Variables

### Inherited Methods

#### Defined by EventTarget

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError